## knavalbattle 4.13.0

=== data/pictures/CMakeLists.txt ===

install(FILES
default.desktop
default_theme.svgz
DESTINATION ${DATA_INSTALL_DIR}/knavalbattle/pictures)

kde4_install_icons(${ICON_INSTALL_DIR})

=== data/sounds/CMakeLists.txt ===
install(FILES ship-player-shoot-water.ogg
              ship-player1-shoot.ogg
              ship-player2-shoot.ogg
              ship-sink.ogg  
        DESTINATION  ${DATA_INSTALL_DIR}/knavalbattle/sounds)

## knavalbattle 4.10.0

=== debian/changelog ===
knavalbattle (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:58:51 +0000

knavalbattle (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate
  * Add missing .install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:46:26 +0000

knavalbattle (4:4.9.97-0ubuntu3) raring; urgency=low

  * Rename kbattleships to kbattleship as that's the correct name of the
    old package

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 Jan 2013 19:49:21 +0100

knavalbattle (4:4.9.97-0ubuntu2) raring; urgency=low

  * Add transitional package for kbattleships

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Jan 2013 14:15:01 +0000

knavalbattle (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:39:09 +0100

knavalbattle (4:4.9.95-0ubuntu1) raring; urgency=low

  * Install to /usr/games
  * Version dependency on kdegames-data
  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:35:09 +0000

knavalbattle (4:4.9.90-0ubuntu1) raring; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:00:35 +0000

=== debian/control ===
Source: knavalbattle
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kdelibs5-dev (>= 4:4.10.0),
               libkdegames-dev (>= 4:4.10.0),
               pkg-kde-tools,
Standards-Version: 3.9.3
Section: games
Homepage: http://www.kde.org

Package: knavalbattle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kbattleship (<< 4:4.9.97-0ubuntu3)
Breaks: kbattleship (<< 4:4.9.97-0ubuntu3)
Description: naval battle game
 A naval battle game in the style of battleships.
 .
 This package is part of the KDE games module.

Package: kbattleship
Architecture: all
Depends: knavalbattle
Section: oldlibs
Description: dummy package for knavalbattle
 Dummy transitional package for knavalbattle.  Can be safely
 removed.

## knavalbattle 4.10.2

=== debian/changelog ===
knavalbattle (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:52:54 +0200

knavalbattle (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:33:51 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.10.0),
-               libkdegames-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
+               libkdegames-dev (>= 4:4.10.2),
                pkg-kde-tools,
 Standards-Version: 3.9.3
 Section: games

## knavalbattle 4.10.4

=== debian/changelog ===
knavalbattle (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:34:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.10.2),
+               kdelibs5-dev (>= 4:4.10.4),
                libkdegames-dev (>= 4:4.10.2),
                pkg-kde-tools,
 Standards-Version: 3.9.3

## knavalbattle 4.11.2

=== debian/changelog ===
knavalbattle (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:31:39 +0100

knavalbattle (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:27:01 +0100

knavalbattle (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:21:45 +0100

knavalbattle (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:42:09 +0100

knavalbattle (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:45 +0000

knavalbattle (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:18:30 +0100

knavalbattle (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:26:13 +0100

knavalbattle (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * remove incorrect knavalbattle.menu
  * translational Priority: extra

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:37:33 +0100

knavalbattle (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining change:
   - rename binary from kbattleship to knavalbattle

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:46 +0000

knavalbattle (4:4.10.2-1) experimental; urgency=low

  * First release of kdegames after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 10 Apr 2013 15:51:01 +0200

=== debian/control ===
Source: knavalbattle
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
 Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <gkiagiad@csd.uoc.gr>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
 kdelibs5-dev (>= 4:4.11.2),
 libkdegames-dev (>= 4:4.11.2)
Standards-Version: 3.9.4
Homepage: http://games.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/knavalbattle.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/knavalbattle.git

Package: knavalbattle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kbattleship (<< 4:4.9.97-0ubuntu3)
Breaks: kbattleship (<< 4:4.9.97-0ubuntu3)
Description: naval battle game
 A naval battle game in the style of battleships.
 .
 This package is part of the KDE games module.

Package: kbattleship
Architecture: all
Depends: knavalbattle
Section: oldlibs
Priority: extra
Description: dummy package for knavalbattle
 Dummy transitional package for knavalbattle.  Can be safely
 removed.

## knavalbattle 4.11.5

=== debian/changelog ===
knavalbattle (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:43:07 +0100

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.2),
- libkdegames-dev (>= 4:4.11.2)
+ kdelibs5-dev (>= 4:4.11.5),
+ libkdegames-dev (>= 4:4.11.3)
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle-13.10
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/knavalbattle.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/knavalbattle.git

## knavalbattle 4.13.0

=== debian/changelog ===
knavalbattle (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:08:39 +0100

knavalbattle (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:33:04 +0200

knavalbattle (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:34:43 +0100

knavalbattle (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:05:05 +0000

knavalbattle (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:54:58 +0100

knavalbattle (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:07:15 +0000

knavalbattle (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:23:17 +0000

knavalbattle (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:15:32 +0000

knavalbattle (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:16:09 +0000

knavalbattle (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:13:25 +0100

knavalbattle (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release
  * Update install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:44:52 +0100

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.5),
- libkdegames-dev (>= 4:4.11.3)
+ kdelibs5-dev (>= 4:4.13.0),
+ libkdegames-dev (>= 4:4.13.0)
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/knavalbattle.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/knavalbattle.git

## knavalbattle 4.13.3

=== CMakeLists.txt ===
project(knavalbattle)

if(NOT COMPILING_KDEGAMES)
	find_package(KDE4 REQUIRED)
	include(KDE4Defaults)
	include(MacroLibrary)
	find_package(KDEGames 4.9.0 REQUIRED)

	add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
	add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
	include_directories(${KDEGAMES_INCLUDE_DIRS} ${KDE4_INCLUDES} ${QDBUS_INCLUDE_DIRS})
endif(NOT COMPILING_KDEGAMES)

add_subdirectory(src) 
add_subdirectory(data) 
add_subdirectory(doc)
add_subdirectory(kconf_update)

=== doc/CMakeLists.txt ===
########### install files ###############
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR knavalbattle)

=== src/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/libkdegames/highscore ${CMAKE_CURRENT_SOURCE_DIR}/kwelcomescreen)

set(knavalbattle_SRCS
    ai/ai.cpp
    ai/dummyai.cpp
    ai/smartai.cpp
    aientity.cpp
    animation.cpp
    animator.cpp
    audioplayer.cpp
    battlefield.cpp
    battlefieldview.cpp
    button.cpp
    chatwidget.cpp
    controller.cpp
    coord.cpp
    element.cpp
    entity.cpp
    kbsrenderer.cpp
    main.cpp
    mainwindow.cpp
    message.cpp
    networkdialog.cpp
    networkentity.cpp
    playerentity.cpp
    playerlabel.cpp
    playfield.cpp
    protocol.cpp
    sea.cpp
    seaview.cpp
    settings.cpp
    ship.cpp
    ships.cpp
    shot.cpp
    simplemenu.cpp
    sprite.cpp
    spritefactory.cpp
    stats.cpp
    statswidget.cpp
    uientity.cpp
    welcomescreen.cpp)


kde4_add_kcfg_files(knavalbattle_SRCS settingsbase.kcfgc)

kde4_add_app_icon(knavalbattle_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/pictures/hi*-app-knavalbattle.png")
kde4_add_executable(knavalbattle ${knavalbattle_SRCS} ${kwelcomescreen_SRCS})

target_link_libraries(knavalbattle ${QT_QTXML_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_PHONON_LIBS} ${KDE4_KDNSSD_LIBS} kdegames)

install(TARGETS knavalbattle  ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES knavalbattleui.rc  DESTINATION  ${DATA_INSTALL_DIR}/knavalbattle )
install(PROGRAMS knavalbattle.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES knavalbattle.protocol  DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
knavalbattle (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 29 Jul 2014 23:11:32 +0200

knavalbattle (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:41:54 +0100

knavalbattle (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 10:06:31 +0200

knavalbattle (4:4.12.4-1) unstable; urgency=medium

  * Add kbattleship transitional package.
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:29 +0200

knavalbattle (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Binary package renamed to knavalbattle.
  * Update install files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:33 +0100

knavalbattle (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 30 Jan 2014 14:21:54 +0100

knavalbattle (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Nov 2013 14:28:25 +0100

knavalbattle (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:29:38 +0200

knavalbattle (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 15:56:04 +0200

knavalbattle (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 10:54:44 +0200

=== debian/control ===
Source: knavalbattle
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libkdegames-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.5
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/knavalbattle.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/knavalbattle.git
X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle
X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle

Package: knavalbattle
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter4
Description: battleship board game
 KNavalbattle is an implementation of the Battleship game, where two players
 take turns firing at the opponent's ships by guessing their coordinates.
 .
 This package is part of the KDE games module.

Package: kbattleship
Architecture: all
Section: oldlibs
Depends: knavalbattle, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/knavalbattle-([\d.]+).tar.xz

## knavalbattle 4.14.1

=== debian/changelog ===
knavalbattle (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:22:57 +0200

knavalbattle (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:15:25 +0200

knavalbattle (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:57:47 +0200

knavalbattle (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:24:53 +0200

knavalbattle (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:18:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: knavalbattle
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
@@ -14,15 +14,15 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
-               libkdegames-dev (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
+               libkdegames-dev (>= 4:4.14.1),
                pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.5
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/knavalbattle.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/knavalbattle.git
-X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle
-X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/knavalbattle
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/knavalbattle.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/knavalbattle.git
 
 Package: knavalbattle
 Architecture: any

## knavalbattle 4.14.2

=== debian/changelog ===
knavalbattle (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:54:19 +0200

knavalbattle (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:36:24 -0700

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
-               libkdegames-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
+               libkdegames-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.5
 Homepage: http://games.kde.org/

## knavalbattle 14.12.3

=== debian/changelog ===
knavalbattle (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:57:02 -0700

knavalbattle (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:49:47 -0800

knavalbattle (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:17:29 +0100

knavalbattle (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 21:41:33 -0800

knavalbattle (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Remove X-Unbuntu entries no longer applicable.
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
  * Debian merge, no remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 26 Nov 2014 17:15:24 +0000

knavalbattle (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:36:24 -0700

=== debian/control ===
Source: knavalbattle
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libkdegames-dev (>= 4:14.12.3),
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.5
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/knavalbattle.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/knavalbattle.git

Package: knavalbattle
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: battleship board game
 KNavalbattle is an implementation of the Battleship game, where two players
 take turns firing at the opponent's ships by guessing their coordinates.
 .
 This package is part of the KDE games module.

Package: kbattleship
Architecture: all
Section: oldlibs
Depends: knavalbattle, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/knavalbattle-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/knavalbattle-([\d.]+).tar.xz

## knavalbattle 15.08.2

=== debian/changelog ===
knavalbattle (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:36:16 +0100

knavalbattle (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:10:52 +0100

knavalbattle (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:31:56 +0100

knavalbattle (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:48:42 +0100

knavalbattle (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * kde4 games need to depend on the 14.12 series libkdegames 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:12:13 +0200

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
-               libkdegames-dev (>= 4:14.12.3),
+               libkdegames-dev,
                pkg-kde-tools (>= 0.14)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/knavalbattle.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/knavalbattle.git

## knavalbattle 15.12.3

=== CMakeLists.txt ===
project(knavalbattle)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.3.0")

find_package(ECM 1.7.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
find_package(KF5 REQUIRED COMPONENTS 
  Config 
  DBusAddons 
  DNSSD 
  I18n 
  XmlGui 
  DocTools
  TextWidgets
  )
    

find_package(KF5KDEGames 4.9.0 REQUIRED)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
#add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")

add_subdirectory(src) 
add_subdirectory(data) 
add_subdirectory(doc)
add_subdirectory(kconf_update)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
knavalbattle (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:36:50 -0700

knavalbattle (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * No-change rebuild against libkf5kdegames7

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 Mar 2016 22:30:23 +0100

knavalbattle (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Ovidiu-Florin BOGDAN ]
  * Update build-deps and install files list for the KF5 port

  [ Clive Johnston ]
  * New upstream release
  * Merged with Debian

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:54:39 +0100

knavalbattle (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:16 +0100

knavalbattle (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:16 +0200

knavalbattle (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Feb 2015 16:03:19 +0100

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,24 @@
            Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               libkdegames-dev,
-               pkg-kde-tools (>= 0.14)
+               extra-cmake-modules (>= 1.7.0~),
+               kdoctools-dev,
+               libkf5config-dev,
+               libkf5dbusaddons-dev,
+               libkf5dnssd-dev,
+               libkf5i18n-dev,
+               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdelibs4support-dev,
+               libkf5textwidgets-dev,
+               libkf5xmlgui-dev,
+               pkg-kde-tools (>= 0.14),
+               qtbase5-dev (>= 5.3.0~)
 Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/knavalbattle.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/knavalbattle.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/knavalbattle.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/knavalbattle.git
 
 Package: knavalbattle
 Architecture: any

## knavalbattle 16.04.3

=== debian/changelog ===
knavalbattle (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:36:27 +0200

=== debian/control ===
--- 
+++ 
@@ -12,22 +12,22 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
-               kdoctools-dev,
-               libkf5config-dev,
-               libkf5dbusaddons-dev,
-               libkf5dnssd-dev,
-               libkf5i18n-dev,
-               libkf5kdegames-dev (>= 4.9.0~),
-               libkf5kdelibs4support-dev,
-               libkf5textwidgets-dev,
-               libkf5xmlgui-dev,
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5dnssd-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5kdegames-dev (>= 4:16.04.3~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5textwidgets-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.3.0~)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/knavalbattle.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/knavalbattle.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knavalbattle
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knavalbattle
 
 Package: knavalbattle
 Architecture: any

## knavalbattle 16.08.0

=== debian/changelog ===
knavalbattle (4:16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:11:46 +0200

knavalbattle (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Remove menu file and friends
  * New upstream release (15.12.2).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 19:37:31 +0200

=== debian/control ===
--- 
+++ 
@@ -12,22 +12,23 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kdoctools-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5dbusaddons-dev (>= 5.24.0~),
-               libkf5dnssd-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5kdegames-dev (>= 4:16.04.3~),
-               libkf5kdelibs4support-dev (>= 5.24.0~),
-               libkf5textwidgets-dev (>= 5.24.0~),
-               libkf5xmlgui-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 1.7.0~),
+               kdoctools-dev (>= 5.15.0~),
+               libkf5config-dev (>= 5.15.0~),
+               libkf5crash-dev (>= 5.15.0~),
+               libkf5dbusaddons-dev (>= 5.15.0~),
+               libkf5dnssd-dev (>= 5.15.0~),
+               libkf5i18n-dev (>= 5.15.0~),
+               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdelibs4support-dev,
+               libkf5textwidgets-dev (>= 5.15.0~),
+               libkf5xmlgui-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.6.1~)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.3.0~)
+Standards-Version: 3.9.8
 Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knavalbattle
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knavalbattle
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/knavalbattle.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/knavalbattle.git
 
 Package: knavalbattle
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/knavalbattle-([\d.]+).tar.xz

## knavalbattle 16.12.3

=== debian/changelog ===
knavalbattle (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:24:22 +0000

knavalbattle (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:12:59 +0000

=== debian/control ===
--- 
+++ 
@@ -12,23 +12,22 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
-               kdoctools-dev (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5crash-dev (>= 5.15.0~),
-               libkf5dbusaddons-dev (>= 5.15.0~),
-               libkf5dnssd-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
-               libkf5kdelibs4support-dev,
-               libkf5textwidgets-dev (>= 5.15.0~),
-               libkf5xmlgui-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5dnssd-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kdegames-dev (>= 4:16.12.3~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5textwidgets-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.3.0~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/knavalbattle.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/knavalbattle.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knavalbattle
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knavalbattle
 
 Package: knavalbattle
 Architecture: any

## knavalbattle 17.04.3

=== debian/changelog ===
knavalbattle (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:16 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:16.12.3~),
+               libkf5kdegames-dev (>= 4:17.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
@@ -33,6 +33,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: battleship board game
  KNavalbattle is an implementation of the Battleship game, where two players
  take turns firing at the opponent's ships by guessing their coordinates.

## knavalbattle 17.12.3

=== CMakeLists.txt ===
project(knavalbattle)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.7.0")
set (KF5_MIN_VERSION "5.30.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
  Config
  Crash
  DBusAddons
  DNSSD
  DocTools
  I18n
  TextWidgets
  XmlGui
)

find_package(KF5KDEGames 4.9.0 REQUIRED)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
#add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)

add_subdirectory(src) 
add_subdirectory(data)
add_subdirectory(doc)
add_subdirectory(kconf_update)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
knavalbattle (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:29:04 +0000

knavalbattle (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:59:19 +0000

knavalbattle (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Install new appstream data
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:07:57 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:17.04.3~),
+               libkf5kdegames-dev (>= 4:17.12.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/knavalbattle-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/knavalbattle-([\d.]+).tar.xz

## knavalbattle 18.04.1

=== debian/changelog ===
knavalbattle (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Use secure copyright format uri.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Tue, 29 May 2018 02:30:35 +0200

knavalbattle (4:17.08.3-3) unstable; urgency=medium

  * Team upload.
  * Remove the transitional package kbattleship. (Closes: #878637)
  * Stop forcing the local installation directory, since there is only one
    binary now.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 10:42:09 +0100

knavalbattle (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Nov 2017 20:56:31 +0100

knavalbattle (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update uploaders list as requested by MIA team (Closes: #879355)

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Install everything directly to the local installation directory of
    knavalbattle, so a knavalbattle.install is no more needed.
  * Remove the unused libkf5kdelibs4support-dev build dependency.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Nov 2017 16:27:43 +0100

knavalbattle (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:01:49 +0000

knavalbattle (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:38:15 +0000

knavalbattle (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:22:44 +0000

knavalbattle (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:22:40 +0000

knavalbattle (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:20:09 +0000

knavalbattle (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:04:52 +0000

knavalbattle (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:49:23 +0000

knavalbattle (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:00:09 +0000

knavalbattle (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:21:04 +0000

knavalbattle (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:29:55 +0000

knavalbattle (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:41 +0000

knavalbattle (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:23 +0000

knavalbattle (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:07:26 +0000

knavalbattle (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:49:10 +0000

knavalbattle (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:37:53 +0000

knavalbattle (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Jul 2016 16:11:27 +0000

=== debian/control ===
Source: knavalbattle
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.30.0~),
               libkf5config-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5dbusaddons-dev (>= 5.30.0~),
               libkf5dnssd-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5textwidgets-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knavalbattle
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knavalbattle.git

Package: knavalbattle
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: battleship board game
 KNavalbattle is an implementation of the Battleship game, where two players
 take turns firing at the opponent's ships by guessing their coordinates.
 .
 This package is part of the KDE games module.
